AppendIterator::rewind
ArrayIterator
AppendIterator
PHP Manual

# AppendIterator::valid

(PHP 5 >= 5.1.0)

AppendIterator::valid — Checks validity of the current element

### Description

public bool AppendIterator::valid ( void )

Checks validity of the current element.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the current iteration is valid, `FALSE` otherwise.

### See Also

- AppendIterator::current() - Gets the current value
- AppendIterator::key() - Gets the current key
- AppendIterator::next() - Moves to the next element
- AppendIterator::rewind() - Rewinds the Iterator

AppendIterator::rewind
ArrayIterator
AppendIterator
PHP Manual